org.apache.felix.deployment.rp.autoconf

## Class AttributeDefinitionImpl

- java.lang.Object
- - org.apache.felix.deployment.rp.autoconf.AttributeDefinitionImpl

All Implemented Interfaces:
  org.osgi.service.metatype.AttributeDefinition

    public class AttributeDefinitionImpl
    extends Object
    implements org.osgi.service.metatype.AttributeDefinition

### Field Summary

### Fields inherited from interface org.osgi.service.metatype.AttributeDefinition

`BIGDECIMAL, BIGINTEGER, BOOLEAN, BYTE, CHARACTER, DOUBLE, FLOAT, INTEGER, LONG, PASSWORD, SHORT, STRING`

### Constructor Summary

Constructors
Constructor and Description
`AttributeDefinitionImpl(org.apache.felix.metatype.AD ad)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getCardinality()`
`String[]` `getDefaultValue()`
`String` `getDescription()`
`String` `getID()`
`String` `getName()`
`String[]` `getOptionLabels()`
`String[]` `getOptionValues()`
`int` `getType()`
`String` `validate(String value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AttributeDefinitionImpl

    public AttributeDefinitionImpl(org.apache.felix.metatype.AD ad)

### Method Detail

#### getCardinality

    public int getCardinality()

Specified by:
  `getCardinality` in interface `org.osgi.service.metatype.AttributeDefinition`

#### getDefaultValue

    public String[] getDefaultValue()

Specified by:
  `getDefaultValue` in interface `org.osgi.service.metatype.AttributeDefinition`

#### getDescription

    public String getDescription()

Specified by:
  `getDescription` in interface `org.osgi.service.metatype.AttributeDefinition`

#### getID

    public String getID()

Specified by:
  `getID` in interface `org.osgi.service.metatype.AttributeDefinition`

#### getName

    public String getName()

Specified by:
  `getName` in interface `org.osgi.service.metatype.AttributeDefinition`

#### getOptionLabels

    public String[] getOptionLabels()

Specified by:
  `getOptionLabels` in interface `org.osgi.service.metatype.AttributeDefinition`

#### getOptionValues

    public String[] getOptionValues()

Specified by:
  `getOptionValues` in interface `org.osgi.service.metatype.AttributeDefinition`

#### getType

    public int getType()

Specified by:
  `getType` in interface `org.osgi.service.metatype.AttributeDefinition`

#### validate

    public String validate(String value)

Specified by:
  `validate` in interface `org.osgi.service.metatype.AttributeDefinition`